\section{Encondig}
The purpose of encoding is to transform data so that it can be properly (and safely) consumed by a different type of system, e.g. binary data being sent over email, or viewing special characters on a web page. The goal is not to keep information secret, but rather to ensure that it’s able to be properly consumed.

The conding does transform data into another format using a defined scheme which is pulicy available and therefore can easily be reversed. 

\textbf{Examples of Encoding:} ASCII, Unicode, URL Encoding, Base64

\subsection{Binary}
%todo add section about binary

\subsection{Base64}
The base64 encoding is a binary to text encoding scheme which does represent binary data in an ASCII string format. It is designed to carry data stored in binary format across channels. This encoding can also be called a radix-64 representation.

\begin{itemize}
	\item 10 numeric values
	\item 26 Uppercase alphabets
	\item 26 Lowercase alphabets
	\item two special characters, depends on the OS
\end{itemize}

\begin{verbatim}
base64 <<< Hello World
echo -n Hello | base64 
echo SGVsbG8K | base64 -d 
\end{verbatim}